## bluez 5.43

=== debian/changelog ===
bluez (5.43-2+deb9u2) stretch-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Address INTEL-SA-00352 (CVE-2020-0556) (Closes: #953770)
    - HOGP must only accept data from bonded devices
    - HID accepts bonded device connections only
  * input: hog: Attempt to set security level if not bonded
  * input: Add LEAutoSecurity setting to input.conf

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 22 Mar 2020 10:42:49 +0100

bluez (5.43-2+deb9u1) stretch-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * CVE-2017-1000250: information disclosure vulnerability in
    service_search_attr_req (Closes: #875633)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 13 Sep 2017 09:16:27 +0200

bluez (5.43-2) unstable; urgency=medium

  * Fix bluez-obexd service is not started under systemd. (Closes: #804908)
    Add patches/org.bluez.obex.service.in.patch.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 18 Mar 2017 00:25:38 +0900

bluez (5.43-1) unstable; urgency=medium

  * Update to 5.43. (Closes: #840983)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 01 Nov 2016 07:04:47 +0900

bluez (5.41-1) unstable; urgency=medium

  * Update to 5.41. (Closes: #771627, #835901)
  * Update debian/rules.
    - Add --list-missing option to dh_install.
  * Update debian/patches
    - Add patches/0002-autopair-Don-t-handle-the-iCade.patch.
      iCade support by autopair.
    - Add patches/0004-agent-Assert-possible-infinite-loop.patch.
      Show assert if possible infinite loop.
    - Add patches/fix_udevadm_in_hid2hci.patch.
      Change path of udevadm from /sbin to /bin.
    - Add patches/main.conf.patch.
      Set AutoEnable to true in Policy.
    - Add patches/fix-typo-in-src-main.conf.patch. (Closes: #833883)
   * Add pulseaudio-module-bluetooth to Suggests of bluez. (Closes: #815323)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 01 Oct 2016 08:17:01 +0900

bluez (5.40-1~exp0) experimental; urgency=medium

  * Update to 5.40. (Closes: #824163, #824732)
  * Update debian/control.
    - Bumped Standards-Version to 3.9.8.
  * Update debian/rules.
    - Remove --enable-usb from option of configure.
      This option does not support current version.
  * Add btattach, rctest and sdptool. (Closes: #816865)
  * Add bluez-test-tools package. (Closes: #795350)
    This package contains *-tester program.
  * Update debian/copyright to DEP5 format.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 30 Jun 2016 11:29:37 +0900

bluez (5.36-1) unstable; urgency=medium

  * Update to 5.36.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 07 Nov 2015 11:47:02 +0900
