=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: bluez
 Section: admin
 Priority: optional
-Maintainer: Debian Bluetooth Maintainers <pkg-bluetooth-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Bluetooth team <ubuntu-bluetooth@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Bluetooth Maintainers <pkg-bluetooth-maintainers@lists.alioth.debian.org>
 Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Build-Depends: debhelper (>= 9),
 	autotools-dev,
@@ -17,11 +18,13 @@
 	libical-dev,
 	check (>= 0.9.8-1.1),
 	systemd,
-	dh-systemd (>= 1.5)
-Vcs-Svn: svn://anonscm.debian.org/pkg-bluetooth/packages/bluez/trunk
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-bluetooth/packages/bluez/trunk
+	dh-systemd (>= 1.5),
+	libebook1.2-dev (>= 3.12)
+Vcs-Git: https://git.launchpad.net/~bluetooth/bluez?h=artful
+Vcs-Browser: https://git.launchpad.net/~bluetooth/bluez?h=artful
 Homepage: http://www.bluez.org
-Standards-Version: 3.9.8
+Standards-Version: 3.9.6
+XS-Testsuite: autopkgtest
 
 Package: libbluetooth3
 Section: libs
@@ -73,10 +76,9 @@
 Depends: ${shlibs:Depends}, ${misc:Depends},
 	kmod, udev (>= 170-1), lsb-base, dbus
 Replaces: bluez-input, bluez-network, bluez-serial, bluez-utils (<= 3.36-3),
-	bluez-audio (<= 3.36-3), udev (<< 170-1)
-Conflicts: bluez-utils (<= 3.36-3), bluez-audio (<= 3.36-3)
+	bluez-audio (<= 3.36-3), udev (<< 170-1), bluez-alsa
+Conflicts: bluez-utils (<= 3.36-3), bluez-audio (<= 3.36-3), bluez-alsa
 Breaks: udev (<< 170-1)
-Suggests: pulseaudio-module-bluetooth
 Multi-Arch: foreign
 Description: Bluetooth tools and daemons
  This package contains tools and system daemons for using Bluetooth devices.
@@ -139,20 +141,14 @@
  BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
  project distributed under GNU General Public License (GPL).
 
-Package: bluez-test-tools
+Package: bluez-tests
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}, bluez (= ${binary:Version})
-Description: test tools of bluez
- This package contains test tools for using BlueZ.
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Replaces: bluez-test-scripts
+Conflicts: bluez-test-scripts
+Provides: bluez-test-scripts
+Description: BlueZ test tools and scripts
+ This package contains test tools and scripts used for testing BlueZ.
  .
  BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
  project distributed under GNU General Public License (GPL).
-
-Package: bluez-test-scripts
-Architecture: all
-Depends: ${misc:Depends}
-Description: test scripts of bluez
- This package contains test scripts for using BlueZ.
- .
- BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
- project distributed under GNU General Public License (GPL).
