## bluez 5.48

=== debian/changelog ===
bluez (5.48-0ubuntu3.9) bionic-security; urgency=medium

  * SECURITY UPDATE: various security improvements (LP: #1977968)
    - debian/patches/avdtp-security.patch: check if capabilities are valid
      before attempting to copy them in profiles/audio/avdtp.c.
    - debian/patches/avdtp-security-2.patch: fix size comparison and
      variable misassignment in profiles/audio/avdtp.c.
    - debian/patches/avrcp-security.patch: make sure the number of bytes in
      the params_len matches the remaining bytes received so the code don't
      end up accessing invalid memory in profiles/audio/avrcp.c.
    - No CVE numbers

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 08 Jun 2022 07:19:20 -0400

bluez (5.48-0ubuntu3.8) bionic-security; urgency=medium

  * SECURITY UPDATE: Integer overflow in gatt server protocol could lead to
    a heap overflow, resulting in denial of service or potential code
    execution.
    - debian/patches/CVE-2022-0204.patch: add length and offset validation in
      write_cb function in src/shared/gatt-server.c.
    - CVE-2022-0204

 -- Ray Veldkamp <ray.veldkamp@canonical.com>  Fri, 04 Feb 2022 10:25:37 +1100

bluez (5.48-0ubuntu3.7) bionic-security; urgency=medium

  * SECURITY UPDATE: heap-based buffer overflow
    - debian/patches/CVE-2019-8922.patch: check if there is enough space in
      lib/sdp.c.
    - CVE-2019-8922

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 08 Dec 2021 07:57:30 -0500

bluez (5.48-0ubuntu3.6) bionic-security; urgency=medium

  * SECURITY UPDATE: DoS via memory leak in sdp_cstate_alloc_buf
    - debian/patches/CVE-2021-41229-pre1.patch: fix not checking if cstate
      length in src/sdpd-request.c.
    - debian/patches/CVE-2021-41229.patch: fix leaking buffers stored in
      cstates cache in src/sdpd-request.c, src/sdpd-server.c, src/sdpd.h,
      unit/test-sdp.c.
    - CVE-2021-41229
  * SECURITY UPDATE: use-after-free when client disconnects
    - debian/patches/CVE-2021-43400-pre1.patch: send device and link
      options with AcquireNotify in src/gatt-database.c.
    - debian/patches/CVE-2021-43400-pre2.patch: fix Acquire* reply handling
      in src/gatt-database.c.
    - debian/patches/CVE-2021-43400-pre3.patch: no multiple calls to
      AcquireWrite in src/gatt-database.c.
    - debian/patches/CVE-2021-43400-pre4.patch: provide MTU in ReadValue
      and WriteValue in src/gatt-database.c.
    - debian/patches/CVE-2021-43400.patch: fix not cleaning up when
      disconnected in src/gatt-database.c.
    - CVE-2021-43400

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 17 Nov 2021 10:52:30 -0500

bluez (5.48-0ubuntu3.5) bionic-security; urgency=medium

  * SECURITY UPDATE: secure pairing passkey brute force
    - debian/patches/CVE-2020-26558.patch: fix not properly checking for
      secure flags in src/shared/att-types.h, src/shared/gatt-server.c.
    - CVE-2020-26558
  * SECURITY UPDATE: DoS or code execution via double-free
    - debian/patches/CVE-2020-27153.patch: fix possible crash on disconnect
      in src/shared/att.c.
    - CVE-2020-27153

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 09 Jun 2021 11:12:47 -0400

bluez (5.48-0ubuntu3.4) bionic-security; urgency=medium

  * SECURITY UPDATE: privilege escalation via improper access control
    - debian/patches/CVE-2020-0556-1.patch: HOGP must only accept data from
      bonded devices in profiles/input/hog.c.
    - debian/patches/CVE-2020-0556-2.patch: HID accepts bonded device
      connections only in profiles/input/device.c, profiles/input/device.h,
      profiles/input/input.conf, profiles/input/manager.c.
    - debian/patches/CVE-2020-0556-3.patch: attempt to set security level
      if not bonded in profiles/input/hog.c.
    - debian/patches/CVE-2020-0556-4.patch: add LEAutoSecurity setting to
      input.conf in profiles/input/device.h, profiles/input/hog.c,
      profiles/input/input.conf, profiles/input/manager.c.
    - CVE-2020-0556

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 23 Mar 2020 08:26:28 -0400

bluez (5.48-0ubuntu3.3) bionic; urgency=medium

  * Add lp1845046-policy-Add-logic-to-connect-a-Sink.patch to properly expose
    A2DP high quality audio support on some headphones (LP: #1845046).

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Mon, 06 Jan 2020 16:30:36 +0800

bluez (5.48-0ubuntu3.2) bionic; urgency=medium

  * d/p/lp1759836.patch: avoid endless udev events from new bind uevents
    (LP: #1759836)

 -- Dan Streetman <ddstreet@canonical.com>  Tue, 10 Sep 2019 17:25:22 -0400

bluez (5.48-0ubuntu3.1) bionic; urgency=medium

  * Add fix-lp1759628-upstream-commit-1873096352.patch to fix loss of
    audio on suspend/resume (LP: #1759628)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Fri, 22 Jun 2018 17:27:15 +0800

bluez (5.48-0ubuntu3) bionic; urgency=medium

  * Add fix-lp1750308-upstream-commit-1bf03369.patch to fix command piping
    regression (mostly affecting python-dbusmock). (LP: #1750308)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Wed, 21 Feb 2018 15:08:50 +0800

bluez (5.48-0ubuntu2) bionic; urgency=medium

  * debian/control: Don't mention artful in Vcs fields

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Mon, 05 Feb 2018 13:36:28 +0800

bluez (5.48-0ubuntu1) bionic; urgency=medium

  * Drop upstreamed patch:
    - 0001-device-Fix-crash-when-connecting-ATT-with-BR-EDR-onl.patch
  * New upstream release 5.48:
    - Fix issue with subscriptions for unpaired devices.
    - Fix issue with handling A2DP and no available SEP.
    - Fix issue with handling AVCTP change path support.
    - Fix issue with handling AVCTP browsing channel.
    - Fix issue with handling AVCTP passthrough PDUs.
    - Fix issue with handling detaching of controller.
    - Fix issue with handling start discovery results.
    - Fix issue with handling non-connectable devices.
    - Fix issue with handling unused parameter in WriteValue.

