=== debian/control ===
--- 
+++ 
@@ -20,8 +20,8 @@
 	systemd,
 	dh-systemd (>= 1.5),
 	libebook1.2-dev (>= 3.12)
-Vcs-Git: https://git.launchpad.net/~bluetooth/bluez?h=artful
-Vcs-Browser: https://git.launchpad.net/~bluetooth/bluez?h=artful
+Vcs-Git: https://git.launchpad.net/~bluetooth/bluez
+Vcs-Browser: https://git.launchpad.net/~bluetooth/bluez
 Homepage: http://www.bluez.org
 Standards-Version: 3.9.6
 XS-Testsuite: autopkgtest
