=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 	--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
 	--libexec=\$${prefix}/lib/ \
 	--enable-static \
+	--enable-usb \
 	--enable-tools \
 	--enable-cups \
 	--enable-datafiles \
@@ -20,19 +21,22 @@
 	--enable-systemd \
 	--enable-threads \
 	--enable-sixaxis \
-	--enable-experimental
+	--enable-experimental \
+	--enable-deprecated \
+	--enable-testing \
+	--enable-phonebook-ebook
 
 %:
 	dh $@ --with systemd,autoreconf
-
-override_dh_install:
-	dh_install --list-missing
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(CONFIGURE_FLAGS)
 
 override_dh_installinit:
 	dh_installinit -pbluez --name=bluetooth --restart-after-upgrade
+
+override_dh_install:
+	dh_install --list-missing
 
 override_dh_strip:
 	dh_strip -a --dbg-package=bluez-dbg libbluetooth3-dbg
