## bluez 5.50

=== debian/changelog ===
bluez (5.50-1.2~deb10u2) buster-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * shared/att: Fix possible crash on disconnect (CVE-2020-27153)
  * shared/gatt-server: Fix not properly checking for secure flags
    (CVE-2020-26558, CVE-2021-0129) (Closes: #989614)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 04 Aug 2021 21:18:19 +0200

bluez (5.50-1.2~deb10u1) buster-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Rebuild for buster-security.

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 22 Mar 2020 10:55:38 +0100

bluez (5.50-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * input: hog: Attempt to set security level if not bonded
  * input: Add LEAutoSecurity setting to input.conf

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 20 Mar 2020 21:19:01 +0100

bluez (5.50-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Address INTEL-SA-00352 (CVE-2020-0556) (Closes: #953770)
    - HOGP must only accept data from bonded devices
    - HID accepts bonded device connections only

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 13 Mar 2020 21:31:22 +0100

bluez (5.50-1) unstable; urgency=medium

  * Update to 5.50.
  * Fixed the version to be deleted of the conf file. (Closes: #877482)
  * Add more details to change the default "Name" of device in main.conf
    (Closes: #904212)
    Add patches/main.conf-Add-more-details-Closes-904212.patch

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 29 Jul 2018 11:46:24 +0900

bluez (5.49-4) unstable; urgency=medium

  * Change team mail address.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 23 May 2018 12:36:15 +0900

bluez (5.49-3) unstable; urgency=medium

  * Fix syntax error in bluez preinst script. (Closes: #899340)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 23 May 2018 11:35:59 +0900

bluez (5.49-2) unstable; urgency=medium

  * Fix bluetoothd segfault in btd_adv_manager_refresh() (Closes: #898201)
    Add patches/adapter-Fix-accessing-NULL-adv_manager.patch. 
    Cherry-picked from 37a30b5435a45c3f8e233309fc70fc7de92b2e76.
  * Fix segfault after PIN entry. (Closes: #884663)
    Add patches/shared-gatt-client-Fix-segfault-after-PIN-entry.patch.
  * Remove obsolete conf file by bluez.preinst. (Closes: #877482)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 23 May 2018 08:29:05 +0900

bluez (5.49-1) unstable; urgency=medium

  * Update to 5.49.
  * Remove patches/0002-autopair-Don-t-handle-the-iCade.patch.
    This patch was applied to upstream.
  * Add patches/Fix-typo.patch.
  * Remove libbluetooth3-dbg and bluez-dbg.
  * Remove dh-systemd from B-D.
  * Bump Standards-Version to 4.1.3.
  * Change Vcs-Browser and Vcs-Git to salsa.
  * Update manpages (Closes: #867948).
  * Remove dh-autoreconf and autotools-dev from B-D.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 19 Mar 2018 09:24:02 +0900

bluez (5.47-1) unstable; urgency=medium

  * Update to 5.47. (Closes: #876849)
  * Update debian/control.
    - Bump Standards-Version to 4.1.0.
    - Update to debhelper 10.
    - Remove dh-systemd, autotools-dev and dh-autoreconf from B-D.
  * Remove patches/fix_udevadm_in_hid2hci.patch.
  * Remove patches/CVE-2017-1000250.patch.
  * Remove profiles/proximity/proximity.conf from debian/bluez.install.
  * Remove copyrtight of alert, cyclingspeed, heartrate and proximity.
  * Fix missing-call-to-dpkg-maintscript-helper in bluez.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 22 Sep 2017 12:10:14 +0900

bluez (5.46-1) unstable; urgency=medium

  * CVE-2017-1000250: information disclosure vulnerability in
    service_search_attr_req (Closes: #875633)
    Add patches/CVE-2017-1000250.patch. Thanks to Salvatore Bonaccorso.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 29 Jul 2017 04:56:04 +0900

bluez (5.45-1) unstable; urgency=medium

  * Update to 5.45.
  * Change VCS from svn to git.
  * Update debian/control.
    - Add libasound2-dev to B-D.
    - Add libdw-dev to B-D.
    - Update Vcs-Browser and Vcs-Git field.
  * Remove debian/patches/fix-typo-in-src-main.conf.patch
  * Update debian/patches/main.conf.patch


 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 02 Jul 2017 09:07:00 +0900
