=== debian/rules ===
--- 
+++ 
@@ -8,38 +8,43 @@
 	--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
 	--libexec=\$${prefix}/lib/ \
 	--enable-static \
-	--enable-usb \
 	--enable-tools \
 	--enable-cups \
+	--enable-midi	\
 	--enable-datafiles \
+	--enable-threads \
+	--enable-backtrace \
 	--enable-debug \
 	--enable-library \
+	--enable-test \
+	--enable-nfc \
+	--enable-sap \
 	--enable-monitor \
 	--enable-udev \
 	--enable-obex \
 	--enable-client \
+	--enable-testing \
 	--enable-systemd \
 	--enable-threads \
 	--enable-sixaxis \
-	--enable-experimental \
 	--enable-deprecated \
-	--enable-testing \
-	--enable-phonebook-ebook
+	--enable-health \
+	--enable-experimental
 
 %:
 	dh $@ --with systemd,autoreconf
+
+override_dh_install:
+	rm -rf  debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libbluetooth.la
+	rm -rf  debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/plugins/sixaxis.la
+
+	dh_install --list-missing
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(CONFIGURE_FLAGS)
 
 override_dh_installinit:
 	dh_installinit -pbluez --name=bluetooth --restart-after-upgrade
-
-override_dh_install:
-	dh_install --list-missing
-
-override_dh_strip:
-	dh_strip -a --dbg-package=bluez-dbg libbluetooth3-dbg
 
 override_dh_systemd_enable:
 	dh_systemd_enable -pbluez bluetooth.service
