## bluez 5.50.26

=== debian/changelog ===
bluez (5.50.26-1+dde) unstable; urgency=medium

  * Fix CVE security vulnerabilities

 -- lishengyu <lishengyu@uniontech.com>  Mon, 28 Feb 2022 11:36:34 +0800

bluez (5.50.25-1+dde) oldstable; urgency=medium

  * Adapte kernel for user confirmation of Just Works.

 -- zhaochengyi <zhaochengyi@uniontech.com>  Thu, 02 Dec 2021 13:55:58 +0800

bluez (5.50.24-1+dde) oldstable; urgency=medium

  * Remove URL information

 -- changlianzhi <changlianzhi@uniontech.com>  Thu, 18 Nov 2021 13:14:14 +0800

bluez (5.50.23-1+dde) oldstable; urgency=medium

  * add secure compilation option

 -- wangyouwan <wangyouwan@uniontech.com>  Thu, 04 Nov 2021 16:33:32 +0800

bluez (5.50.22-1+dde) oldstable; urgency=medium

  * Rebuild for dde.

 -- Clay Stan <claystan97@gmail.com>  Wed, 15 Sep 2021 14:12:48 +0800

bluez (5.50.11-1+dde) unstable; urgency=medium

  * back deepin-bug80646-remove-stored-device-info.patch

 -- lishengyu <lishengyu@uniontech.com>  Fri, 27 Aug 2021 09:21:32 +0800

bluez (5.50.10-1+dde) unstable; urgency=medium

  * fix: When the Bluetooth device is connected, unplug the adapter and
  * insert the adapter again. The device appears in the device list.

 -- lishengyu <lishengyu@uniontech.com>  Fri, 11 Jun 2021 16:01:21 +0800

bluez (5.50.9-1+dde) unstable; urgency=medium

  * feat: add-custom-config-for-huawei.patch
  * feat: deepin-huawei-fix-main.conf.patch
  * Task: 10457

 -- Hu Feng <hufeng@uniontech.com>  Wed, 09 Jun 2021 15:50:04 +0800

bluez (5.50.8-1+dde) unstable; urgency=medium

  * fix: when the device is turned off or not in present, the device
  * hanging around as a discovered device forever.

 -- lishengyu <lishengyu@uniontech.com>  Fri, 14 May 2021 13:41:54 +0800

bluez (5.50.7-1+dde) unstable; urgency=medium

  * Support FreeBuds 3 headset

 -- Yingjie Weng <wengyingjie@uniontech.com>  Wed, 14 Apr 2021 14:51:08 +0800

bluez (5.50.6-1+security) unstable; urgency=medium

  * Non-maintainer upload.
  * fix CVE-2020-27153

 -- zhouzilong <zhouzilong@uniontech.com>  Sun, 04 Apr 2021 15:12:25 +0800

bluez (5.50.5-1+dde) unstable; urgency=medium

  * fix error: 'SIOCGSTAMP'
  * in 5.x kernel exist

 -- system-dev <lichenggang@uniontech.com>  Thu, 03 Dec 2020 16:24:08 +0800

bluez (5.50.4-1+dde) unstable; urgency=medium

  * Bluetooth switch off by default

 -- system-dev <system-dev@uniontech.com>  Wed, 25 Nov 2020 16:20:07 +0800

bluez (5.50.3-1+dde) unstable; urgency=medium

  * remove temporary devices when the client starts
    the discovery.

 -- Chengyi Zhao <zhaochengyi@uniontech.com>  Tue, 17 Nov 2020 20:21:20 +0800

bluez (5.50.2-2) unstable; urgency=medium

  * Bluetooth switch off by default

 -- Salvatore Bonaccorso <caihouhui@uniontech.com>  Tue, 27 Oct 2020 08:46:00 +0800
