=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,9 @@
 #export DH_VERBOSE=1
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_CFLAGS_MAINT_APPEND = -pie -fPIC
+export DEB_CXXFLAGS_MAINT_APPEND = -pie -fPIC
+
 CONFIGURE_FLAGS := \
 	--disable-silent-rules \
 	--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
@@ -37,6 +40,7 @@
 override_dh_install:
 	rm -rf  debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libbluetooth.la
 	rm -rf  debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/plugins/sixaxis.la
+	install -m 755 -D src/bluetoothd.sh debian/tmp/usr/lib/bluetooth
 
 	dh_install --list-missing
