## bluez 5.50.33

=== debian/changelog ===
bluez (5.50.33-1+dde) unstable; urgency=medium

  * fix CVE-2022-39176.
  * 

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Fri, 30 Sep 2022 18:06:51 +0800

bluez (5.50.32-1+dde) unstable; urgency=medium

  * fix Connect the freebud headset without popping the pin code

 -- Youwan Wang <wangyouwan@uniontech.com>  Tue, 26 Jul 2022 14:07:02 +0800

bluez (5.50.31-1+dde) unstable; urgency=medium

  * fix: Free discover when send_request returns error

 -- Chengyi Zhao <zhaochengyi@uniontech.com>  Tue, 21 Jun 2022 14:08:45 +0800

bluez (5.50.30-1+dde) unstable; urgency=medium

  * obexd:Fix crash of transfer pointer has being freed

 -- Youwan Wang <wangyouwan@uniontech.com>  Thu, 16 Jun 2022 15:59:02 +0800

bluez (5.50.29-1+dde) unstable; urgency=medium

  * add huawei patch to support QOS for HiSi chip

 -- wangyouwan <wangyouwan@uniontech.com>  Tue, 31 May 2022 11:29:57 +0800

bluez (5.50.28-1+dde) unstable; urgency=medium

  * add huawei patch to support pangu machines.

 -- lishengyu <lishengyu@uniontech.com>  Tue, 10 May 2022 13:25:07 +0800

bluez (5.50.27-1+dde) unstable; urgency=medium

  * Fix Already Paired(0x13) error

 -- wangyouwan <wangyouwan@uniontech.com>  Mon, 09 May 2022 21:42:25 +0800
