## bluez 5.53

=== debian/changelog ===
bluez (5.53-0ubuntu3) focal; urgency=medium

  * debian/patches/ubuntu_error_restart.patch:
    - restart the service on errors

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 03 Apr 2020 08:47:01 +0200

bluez (5.53-0ubuntu2) focal; urgency=medium

  * SECURITY UPDATE: privilege escalation via improper access control
    - debian/patches/CVE-2020-0556-1.patch: HOGP must only accept data from
      bonded devices in profiles/input/hog.c.
    - debian/patches/CVE-2020-0556-2.patch: HID accepts bonded device
      connections only in profiles/input/device.c, profiles/input/device.h,
      profiles/input/input.conf, profiles/input/manager.c.
    - debian/patches/CVE-2020-0556-3.patch: attempt to set security level
      if not bonded in profiles/input/hog.c.
    - debian/patches/CVE-2020-0556-4.patch: add LEAutoSecurity setting to
      input.conf in profiles/input/device.h, profiles/input/hog.c,
      profiles/input/input.conf, profiles/input/manager.c.
    - CVE-2020-0556

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 23 Mar 2020 07:50:02 -0400

bluez (5.53-0ubuntu1) focal; urgency=medium

  * New upstream release 5.53 (LP: #1864824)
    - Fix issue with handling unregistration for advertisment.
    - Fix issue with A2DP and handling recovering process.
    - Fix issue with udpating input device information.
    - Add support for loading blocked keys.

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Wed, 26 Feb 2020 17:57:54 +0800

bluez (5.52-0ubuntu2) focal; urgency=medium

  * Don't build bluez-cups on i386.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 20 Dec 2019 00:01:27 -0600

bluez (5.52-0ubuntu1) focal; urgency=medium

  * New upstream release 5.52 (LP: #1854689):
    - Fix issue with AVDTP session disconnect timeout handling.
    - Mark media endpoint APIs as stable interfaces.

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Thu, 12 Dec 2019 09:42:09 +0100

bluez (5.51-0ubuntu2) focal; urgency=medium

  * Make autopkgtests cross-test-friendly.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 07 Dec 2019 13:49:35 -0800

bluez (5.51-0ubuntu1) focal; urgency=medium

  * New upstream release 5.51 (LP: #1849641):
    - Many fixes
    - Improved Bluetooth Mesh support
    - Support for the GATT Database Hash feature
  * Refreshed patches and fixed conflicts:
    - bluetooth.conf.patch
    - 0001-Allow-using-obexd-without-systemd-in-the-user-sessio.patch
  * Drop upstreamed patches:
    - tools-Fix-build-after-y2038-changes-in-glibc.patch

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Thu, 24 Oct 2019 17:15:15 +0800

bluez (5.50-0ubuntu4) eoan; urgency=medium

  * d/p/lp1759836.patch: avoid endless udev events from new bind uevents
    (LP: #1759836)

 -- Dan Streetman <ddstreet@canonical.com>  Tue, 10 Sep 2019 17:22:37 -0400

bluez (5.50-0ubuntu3) eoan; urgency=medium

  * d/p/tools-Fix-build-after-y2038-changes-in-glibc.patch: fix build
    failure due to linux header changes for y2038 bug.

 -- Dan Streetman <ddstreet@canonical.com>  Wed, 28 Aug 2019 02:43:38 -0400

bluez (5.50-0ubuntu2) disco; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Jan 2019 19:58:14 +0000

bluez (5.50-0ubuntu1) cosmic; urgency=medium

  * New upstream release 5.50:
    - Fix issue with GATT and reading long values.
    - Fix issue with GATT and reading multiple includes.
    - Fix issue with GATT and service changes when offline.
    - Fix issue with handling secondary service discovery.
    - Fix issue with handling persistency of CCC values.
    - Fix issue with handling Mesh session on disconnection.
    - Fix issue with handling Mesh proxy PDU SAR message length.
    - Fix issue with handling Mesh default heartbeat TTL value.
    - Add support for Mesh node-reset operation handling.
    - Add support for GATT authorization request handling.
    - Add support for GATT minimum key size requirements.
    - Add support for GATT server and included services.
    - Add support for handling additional advertising data.
    - Add support for handling separate discoverable state.
    - Add support for enabling HFP version 1.7 features.
    - Add support for dedicated Bluetooth logging daemon.
  * Refreshed debian/patches to work with 5.50 and apply cleanly.
  * Fixed lintian errors:
    - dpkg-maintscript-helper missing in postinst and postrm.
    - Synchronized (some) man pages from Debian.
  * New upstream release 5.49 (LP: #1759961):
    - Fix issue with configuring discoverable advertising flag.
    - Fix issue with bearer selection and single mode controllers.
    - Fix issue with Connect and ConnectProfile returning in progress.
    - Fix issue with missing Paired property change when not bonded.
    - Fix issue with storage for controllers without public address.
    - Fix issue with handling AVCTP disconnecting the channel queue.
    - Fix issue with not clearing connectable setting on power off.
    - Fix issue with creating multiple mgmt socket instances.
    - Fix issue with GATT server and BR/EDR only devices.
    - Fix issue with InterfaceAdded event ordering. (LP: #1759628)
    - Add support for generic ConnectDevice method call.
    - Add support for Mesh heartbeat client functionality.
  * Drop upstreamed patch:
    - fix-lp1750308-upstream-commit-1bf03369.patch

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Wed, 06 Jun 2018 16:26:40 +0800
