## bluez 5.54

=== debian/changelog ===
bluez (5.54-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 17 Sep 2020 08:24:15 +0900

bluez (5.54-1) unstable; urgency=medium

  * Update to 5.54. (Closes: #946711, #966564, #925369)
  * Update d/libbluetooth3.symbols.
  * Delete unnecessary patches.
  * Add zsh completion file to bluez. (Closes: #954281)
    Thanks to Laurent Bigonville <bigon@debian.org>.
  * Omit bluez-cups on Ubuntu/i386. (Closes: #947084)
    Thanks to Steve Langasek <steve.langasek@canonical.com>.
  * Fix typo in d/bluez.bluetooth.default. (Closes: #959483)
    Thanks to Vincent Lefevre <vincent@vinc17.net>.
  * Move daemon to /usr/libexec/bluetooth instead of /usr/lib/bluetooth.
    (Closes: #954282)
    Thanks to Laurent Bigonville <bigon@debian.org>.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 30 Aug 2020 06:48:15 +0900

bluez (5.52-1) experimental; urgency=medium

  * Update to 5.52.
  * Add bluez-source package.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 13 Nov 2019 13:26:08 +0900

bluez (5.51-1) experimental; urgency=medium

  * Update to 5.51.
  * Fix lintian warnings:
    - skip-systemd-native-flag-missing-pre-depends.
    - executable-not-elf-or-script.
    - maintainer-script-should-not-use-dpkg-maintscript-helper
      Use new dh_installdeb maintscript.
  * dh_installsystemd instread of dh_systemd_enable and start.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 07 Oct 2019 20:10:25 +0900
