=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Section: admin
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 12),
                flex,
                bison,
                libdbus-glib-1-dev,
@@ -74,6 +74,7 @@
          udev,
          lsb-base,
          dbus
+Pre-Depends: ${misc:Pre-Depends}
 Suggests: pulseaudio-module-bluetooth
 Breaks: udev (<< 170-1)
 Conflicts: bluez-utils (<= 3.36-3),
@@ -156,3 +157,13 @@
  .
  BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
  project distributed under GNU General Public License (GPL).
+
+Package: bluez-source
+Architecture: all
+Depends: ${misc:Depends}
+Description: Source code for the BlueZ Linux Bluetooth stack
+ This package contains the sources and patches which are needed
+ to build bluez.
+ .
+ BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
+ project distributed under GNU General Public License (GPL).
